### Hierarchy

- Puttable
  - File

### Implemented by

- BaseFile

## Index

### Properties

- content

### Methods

- put
- putDetailed
- updateContent

## Properties

### content

content: FileContent

- Defined in fs/types.ts:12

## Methods

### put

- put(): Promise<CID>

- Inherited from Puttable.put

  - Defined in fs/types.ts:56

  #### Returns Promise<CID>

### putDetailed

- putDetailed(): Promise<AddResult>

- Inherited from Puttable.putDetailed

  - Defined in fs/types.ts:57

  #### Returns Promise<AddResult>

### updateContent

- updateContent(content: FileContent): Promise<File>

- - Defined in fs/types.ts:13

  #### Parameters

  - ##### content: FileContent

  #### Returns Promise<File>

Generated using TypeDoc